
/*
	ContourToMesh.h
*/


#ifndef _CONTOURTOMESH_H
#define _CONTOURTOMESH_H


#ifdef HAVE_CONFIG_H
	#include <config.h>
#else
#error "Cannot compile with HAVE_CONFIG_H symbol! run configure first!"
#endif

/*Very important definition in case we are compiling a python module!: needs to come before header files inclusion*/
#ifdef _HAVE_PYTHON_
#define PY_ARRAY_UNIQUE_SYMBOL PythonIOSymbol
#endif

/*Header files: */
#include "../../c/include/globals.h"
#include "../../c/toolkits/toolkits.h"
#include "../../c/include/include.h"
#include "../../c/modules/modules.h"
#include "../../c/Container/Container.h"
#include "../../c/shared/shared.h"
#include "../../c/issm-binding.h"
#include "../../c/io/io.h"
#include "../../c/EnumDefinitions/EnumDefinitions.h"

#ifdef _HAVE_MATLAB_MODULES_
/* serial input macros: */
#define INDEX (mxArray *)prhs[0]
#define X (mxArray *)prhs[1]
#define Y (mxArray *)prhs[2]
#define CONTOURNAME (mxArray *)prhs[3]
#define INTERPTYPE (mxArray *)prhs[4]
#define EDGEVALUE (mxArray *)prhs[5]
/* serial output macros: */
#define PLHS0 (mxArray**)&plhs[0]
#define PLHS1 (mxArray**)&plhs[1]
#endif

#ifdef _HAVE_PYTHON_MODULES_
/* serial input macros: */
#define INDEX PyTuple_GetItem(args,0)
#define X PyTuple_GetItem(args,1)
#define Y PyTuple_GetItem(args,2)
#define CONTOURNAME PyTuple_GetItem(args,3)
#define INTERPTYPE PyTuple_GetItem(args,4)
#define EDGEVALUE PyTuple_GetItem(args,5)
/* serial output macros: */
#define PLHS0 output,0
#define PLHS1 output,1
#endif

#undef __FUNCT__
#define __FUNCT__ "ContourToMesh"

/* serial arg counts: */
#undef NLHS
#define NLHS  2
#undef NRHS
#define NRHS 6

/* local prototypes: */
void ContourToMeshUsage(void);

#endif  /* _CONTOURTOMESH_H */

